Community
cancel
Showing results for 
Search instead for 
Did you mean: 
abarb
Beginner
57 Views

conda update problem with intel python beta update 1

I can't update intel python packages with conda because the new "beta update 1" changed the name of version to py27_2 and the conda want downgrade to py2.7_1 version and it can't update packages outdated...

0 Kudos
9 Replies
Robert_C_Intel
Employee
57 Views

Please show me some more information:

conda list

and the conda command you are using to update, and the output.

Robert_C_Intel
Employee
57 Views

Please also try to update conda command first:

conda update conda

 

abarb
Beginner
57 Views

Robert Cohn (Intel) wrote:

Please show me some more information:

conda list

and the conda command you are using to update, and the output.

The conda list I put in the final.

 

 

The conda command to update packages (it works well in the early version),

it want make a downgrade :

 

Microsoft Windows [versão 10.0.10586]

(c) 2015 Microsoft Corporation. Todos os direitos reservados.

 

C:\Users\andre>conda update --all

Fetching package metadata: ......

Solving package specifications: .........

 

Package plan for installation in environment c:\intelPython27:

 

The following packages will be downloaded:

 

    package                    |            build

    ---------------------------|-----------------

    mkl-11.3.3                 |                1       110.0 MB

    msvc_rt-14.0               |          intel_1          347 B

    vs2010_runtime-10.00.40219.1|                1         1.2 MB

    tbb_rt-4.4.4               |     intel_py35_2         157 KB

    bzip2-1.0.6                |    intel_py2.7_1          47 KB

    colorama-0.3.7             |           py27_0          19 KB

    conda-env-2.5.1            |           py27_0          67 KB

    cython-0.24                |           py27_0         2.1 MB

    decorator-4.0.10           |           py27_0          12 KB

    enum34-1.1.6               |           py27_0          53 KB

    funcsigs-1.0.2             |           py27_0          18 KB

    futures-3.0.5              |           py27_0          18 KB

    hdf5-1.8.16                |    intel_py2.7_1         5.0 MB

    icc_rt-14.1.5              |    intel_py2.7_1         6.0 MB

    libpng-1.6.18              |    intel_py2.7_1         387 KB

    freetype2-2.6              |    intel_py2.7_1         645 KB

    llvm-3.6.2                 |    intel_py2.7_1        54.2 MB

    llvmlite-0.11.0            |           py27_0         5.8 MB

    menuinst-1.4.1             |           py27_0         105 KB

    mistune-0.7.2              |           py27_0         125 KB

    path.py-8.2.1              |           py27_0          45 KB

    pyparsing-2.1.4            |           py27_0          70 KB

    pyreadline-2.1             |           py27_0         127 KB

    pytz-2016.4                |           py27_0         171 KB

    pyyaml-3.11                |           py27_4         169 KB

    pyzmq-15.2.0               |           py27_0         608 KB

    requests-2.10.0            |           py27_0         615 KB

    ruamel_yaml-0.11.7         |           py27_0         201 KB

    conda-4.1.2                |           py27_0         245 KB

    setuptools-23.0.0          |           py27_0         688 KB

    get_terminal_size-1.0.0    |           py27_0           4 KB

    pytest-2.9.2               |           py27_0         279 KB

    setuptools_scm-1.9.0       |           py27_0          13 KB

    six-1.10.0                 |           py27_0          16 KB

    pathlib2-2.1.0             |           py27_0          26 KB

    pickleshare-0.7.2          |           py27_0           9 KB

    singledispatch-3.4.0.3     |           py27_0          12 KB

    tcl-8.6.4                  |    intel_py2.7_1         1.8 MB

    tk-8.6.4                   |    intel_py2.7_1         1.5 MB

    tix-8.4.3                  |    intel_py2.7_1         305 KB

    python-2.7.11              |    intel_py2.7_1        16.9 MB

    traitlets-4.2.1            |           py27_0         108 KB

    vcversioner-2.16.0.0       |           py27_0          10 KB

    wheel-0.29.0               |           py27_0         121 KB

    zlib-1.2.8                 |    intel_py2.7_1         142 KB

    ipython-4.2.0              |           py27_0         981 KB

    jupyter_core-4.1.0         |           py27_0         100 KB

    pip-8.1.2                  |           py27_0         1.5 MB

    jupyter_client-4.2.2       |           py27_0         137 KB

    pbr-1.10.0                 |           py27_0         141 KB

    ipykernel-4.3.1            |           py27_0         117 KB

    mock-2.0.0                 |           py27_0          96 KB

    ipyparallel-5.0.1          |           py27_0         305 KB

    numba-0.26.0               |      np111py27_0         1.7 MB

    numexpr-2.6.0              |      np111py27_0         139 KB

    scipy-0.17.1               |      np111py27_0        11.4 MB

    sympy-1.0                  |           py27_0         5.7 MB

    notebook-4.2.1             |           py27_0         5.2 MB

    ------------------------------------------------------------

                                           Total:       237.5 MB

 

The following NEW packages will be INSTALLED:

 

    futures:           3.0.5-py27_0

    get_terminal_size: 1.0.0-py27_0

    mkl:               11.3.3-1

    pathlib2:          2.1.0-py27_0

    pyreadline:        2.1-py27_0

    ruamel_yaml:       0.11.7-py27_0

    vs2010_runtime:    10.00.40219.1-1

    wheel:             0.29.0-py27_0

 

The following packages will be UPDATED:

 

    colorama:          0.3.6-intel_py27_2    [intel    ] --> 0.3.7-py27_0

    conda:             4.0.6-intel_py27_2    [intel    ] --> 4.1.2-py27_0

    conda-env:         2.4.4-intel_py27_2    [intel    ] --> 2.5.1-py27_0

    cython:            0.23.4-intel_py27_2   [intel    ] --> 0.24-py27_0

    decorator:         4.0.2-intel_py27_2    [intel    ] --> 4.0.10-py27_0

    enum34:            1.0.4-intel_py27_2    [intel    ] --> 1.1.6-py27_0

    funcsigs:          0.4-intel_py27_2      [intel    ] --> 1.0.2-py27_0

    ipykernel:         4.2.2-intel_py27_2    [intel    ] --> 4.3.1-py27_0

    ipyparallel:       4.1.0-intel_py27_2    [intel    ] --> 5.0.1-py27_0

    ipython:           4.1.1-intel_py27_2    [intel    ] --> 4.2.0-py27_0

    jupyter_client:    4.1.1-intel_py27_2    [intel    ] --> 4.2.2-py27_0

    jupyter_core:      4.0.6-intel_py27_2    [intel    ] --> 4.1.0-py27_0

    llvmlite:          0.10.0-intel_py27_2   [intel    ] --> 0.11.0-py27_0

    menuinst:          1.3.2-intel_py27_2    [intel    ] --> 1.4.1-py27_0

    mistune:           0.7.1-intel_py27_2    [intel    ] --> 0.7.2-py27_0

    mock:              1.3.0-intel_py27_2    [intel    ] --> 2.0.0-py27_0

    msvc_rt:           9.0-intel_1           --> 14.0-intel_1

    notebook:          4.2.0-intel_py27_2    [intel    ] --> 4.2.1-py27_0

    numba:             0.25.0-intel_py27_2   [intel    ] --> 0.26.0-np111py27_0

    numexpr:           2.5-intel_py27_2      [intel    ] --> 2.6.0-np111py27_0

    path.py:           8.1.1-intel_py27_2    [intel    ] --> 8.2.1-py27_0

    pbr:               1.8.0-intel_py27_2    [intel    ] --> 1.10.0-py27_0

    pickleshare:       0.5-intel_py27_2      [intel    ] --> 0.7.2-py27_0

    pip:               7.1.2-intel_py27_2    [intel    ] --> 8.1.2-py27_0

    pyparsing:         </spa1.0-intel_py27_2    [intel    ] --> 2.1.4-py27_0

    pytest:            2.8.5-intel_py27_2    [intel    ] --> 2.9.2-py27_0

    pytz:              2015.4-intel_py27_2   [intel    ] --> 2016.4-py27_0

    pyyaml:            3.10-intel_py27_2     [intel    ] --> 3.11-py27_4

    pyzmq:             14.7.0-intel_py27_2   [intel    ] --> 15.2.0-py27_0

    requests:          2.9.1-intel_py27_2    [intel    ] --> 2.10.0-py27_0

    scipy:             0.17.0-intel_py27_2   [intel    ] --> 0.17.1-np111py27_0

    setuptools:        18.2-intel_py27_2     [intel    ] --> 23.0.0-py27_0

    setuptools_scm:    1.8.0-intel_py27_2    [intel    ] --> 1.9.0-py27_0

    singledispatch:    3.4.0.0-intel_py27_2  [intel    ] --> 3.4.0.3-py27_0

    six:               1.9.0-intel_py27_2    [intel    ] --> 1.10.0-py27_0

    sympy:             0.7.6-intel_py27_2    [intel    ] --> 1.0-py27_0

    tbb_rt:            4.4.4-intel_py27_2    [intel    ] --> 4.4.4-intel_py35_2   [intel]

    traitlets:         4.0.0-intel_py27_2    [intel    ] --> 4.2.1-py27_0

    vcversioner:       2.14.0.0-intel_py27_2 [intel    ] --> 2.16.0.0-py27_0

 

The following packages will be DOWNGRADED:

 

    bzip2:             1.0.6-intel_py27_2    [intel vc9] --> 1.0.6-intel_py2.7_1  [intel]

    freetype2:         2.6-intel_py27_2      [intel vc9] --> 2.6-intel_py2.7_1    [intel]

    hdf5:              1.8.16-intel_py27_2   [intel vc9] --> 1.8.16-intel_py2.7_1 [intel]

    icc_rt:            14.1.5-intel_py27_2   [intel    ] --> 14.1.5-intel_py2.7_1 [intel]

    libpng:            1.6.18-intel_2        [intel    ] --> 1.6.18-intel_py2.7_1 [intel]

    llvm:              3.7.0-intel_2         [intel    ] --> 3.6.2-intel_py2.7_1  [intel]

    python:            2.7.11-intel_py27_2   [intel    ] --> 2.7.11-intel_py2.7_1 [intel]

    tcl:               8.6.4-intel_py27_2    [intel vc9] --> 8.6.4-intel_py2.7_1  [intel]

    tix:               8.4.3-intel_py27_2    [intel vc9] --> 8.4.3-intel_py2.7_1  [intel]

    tk:                8.6.4-intel_py27_2    [intel vc9] --> 8.6.4-intel_py2.7_1  [intel]

    zlib:              1.2.8-intel_py27_2    [intel vc9] --> 1.2.8-intel_py2.7_1  [intel]

 

Proceed (/n)?

 

And the conda list :

C:\Users\andre>conda list

# packages in environment at c:\intelPython27:

#

Warning: cannot find svn location for Tempita===0.5.3dev-r0

backports                 1.0                intel_py27_2  [intel]  <unknown>

backports-abc             0.4                       <pip>

backports.ssl-match-hostname 3.5.0.1                   <pip>

backports_abc             0.4                intel_py27_2  [intel]  <unknown>

bzip2                     1.0.6              intel_py27_2  [vc9 intel]  <unknown>

certifi                   2015.4.28                 <pip>

colorama                  0.3.6              intel_py27_2  [intel]  <unknown>

conda                     4.0.6              intel_py27_2  [intel]  <unknown>

conda-env                 2.4.4              intel_py27_2  [intel]  <unknown>

configparser              3.5.0b2            intel_py27_2  [intel]  <unknown>

cython                    0.23.4             intel_py27_2  [intel]  <unknown>

dask                      0.10.0                    <pip>

dateutil                  2.4.2              intel_py27_2  [intel]  <unknown>

decorator                 4.0.2              intel_py27_2  [intel]  <unknown>

entrypoints               0.2.1              intel_py27_2  [intel]  <unknown>

enum34                    1.0.4              intel_py27_2  [intel]  <unknown>

freetype2                 2.6                intel_py27_2  [vc9 intel]  <unknown>

funcsigs                  0.4                intel_py27_2  [intel]  <unknown>

functools32               3.2.3.2            intel_py27_2  [intel]  <unknown>

hdf5                      1.8.16             intel_py27_2  [vc9 intel]  <unknown>

icc_rt                    14.1.5             intel_py27_2  [intel]  <unknown>

intelpython             2017.0.0b                     2    <unknown>

ipykernel                 4.2.2              intel_py27_2  [intel]  <unknown>

ipyparallel               4.1.0              intel_py27_2  [intel]  <unknown>

ipython                   4.1.1              intel_py27_2  [intel]  <unknown>

ipython-genutils          0.1.0                     <pip>

ipython_genutils          0.1.0              intel_py27_2  [intel]  <unknown>

jinja2                    2.8                intel_py27_2  [intel]  <unknown>

jsonschema                2.5.1              intel_py27_2  [intel]  <unknown>

jupyter-client            4.1.1                     <pip>

jupyter-core              4.0.6                     <pip>

jupyter_client            4.1.1              intel_py27_2  [intel]  <unknown>

jupyter_core              4.0.6              intel_py27_2  [intel]  <unknown>

libpng                    1.6.18                  intel_2  [intel]  <unknown>

llvm                      3.7.0                   intel_2  [intel]  <unknown>

llvmlite                  0.10.0             intel_py27_2  [intel]  <unknown>

markupsafe                0.23               intel_py27_2  [intel]  <unknown>

matplotlib                1.4.3              intel_py27_2  [intel]  <unknown>

menuinst                  1.3.2              intel_py27_2  [intel]  <unknown>

mistune                   0.7.1              intel_py27_2  [intel]  <unknown>

mkl_rt                    2017.0.1b1              intel_2  [intel]  <unknown>

mock                      1.3.0              intel_py27_2  [intel]  <unknown>

mpmath                    0.19               intel_py27_2  [intel]  <unknown>

msvc_rt                   9.0                     intel_1    <unknown>

nbconvert                 4.2.0              intel_py27_2  [intel]  <unknown>

nbformat                  4.0.1              intel_py27_2  [intel]  <unknown>

nose                      1.3.7              intel_py27_2  [intel]  <unknown>

notebook                  4.2.0              intel_py27_2  [intel]  <unknown>

numba                     0.25.0             intel_py27_2  [intel]  <unknown>

numexpr                   2.5                intel_py27_2  [intel]  <unknown>

numpy                     1.11.0             intel_py27_2  [intel]  <unknown>

pandas                    0.18.1             intel_py27_2  [intel]  <unknown>

path.py                   8.1.1              intel_py27_2  [intel]  <unknown>

pbr                       1.8.0              intel_py27_2  [intel]  <unknown>

pickleshare               0.5                intel_py27_2  [intel]  <unknown>

pip                       7.1.2              intel_py27_2  [intel]  <unknown>

ptyprocess                0.5.1              intel_py27_2  [intel]  <unknown>

py                        1.4.31             intel_py27_2  [intel]  <unknown>

pycosat                   0.6.1              intel_py27_2  [intel]  <unknown>

pygments                  2.0.2                     <pip>

pygments-main             2.0.2              intel_py27_2  [intel]  <unknown>

pyparsing                 2.1.0              intel_py27_2  [intel]  <unknown>

pytables                  3.2.2              intel_py27_2  [intel]  <unknown>

pytest                    2.8.5              intel_py27_2  [intel]  <unknown>

python                    2.7.11             intel_py27_2  [intel]  <unknown>

python-certifi            2015.4.28          intel_py27_2  [intel]  <unknown>

python-dateutil           2.4.2                     <pip>

pytz                      2015.4             intel_py27_2  [intel]  <unknown>

pyyaml                    3.10               intel_py27_2  [intel]  <unknown>

pyzmq                     14.7.0             intel_py27_2  [intel]  <unknown>

requests                  2.9.1              intel_py27_2  [intel]  <unknown>

scikit-learn              0.17.1             intel_py27_2  [intel]  <unknown>

scipy                     0.17.0             intel_py27_2  [intel]  <unknown>

setuptools                18.2               intel_py27_2  [intel]  <unknown>

setuptools-scm            0.1.dev2+n320e362           <pip>

setuptools_scm            1.8.0              intel_py27_2  [intel]  <unknown>

simplegeneric             0.8.1              intel_py27_2  [intel]  <unknown>

singledispatch            3.4.0.0            intel_py27_2  [intel]  <unknown>

six                       1.9.0              intel_py27_2  [intel]  <unknown>

ssl_match_hostname        3.5.0.1            intel_py27_2  [intel]  <unknown>

sympy                     0.7.6              intel_py27_2  [intel]  <unknown>

tables                    3.2.2                     <pip>

tbb                       0.1                intel_py27_2  [intel]  <unknown>

tbb_rt                    4.4.4              intel_py27_2  [intel]  <unknown>

tcl                       8.6.4              intel_py27_2  [vc9 intel]  <unknown>

tempita                   0.5.3              intel_py27_2  [intel]  <unknown>

terminado                 0.5                intel_py27_2  [intel]  <unknown>

tix                       8.4.3              intel_py27_2  [vc9 intel]  <unknown>

tk                        8.6.4              intel_py27_2  [vc9 intel]  <unknown>

toolz                     0.8.0                     <pip>

tornado                   4.3                intel_py27_2  [intel]  <unknown>

traitlets                 4.0.0              intel_py27_2  [intel]  <unknown>

vcversioner               2.14.0.0           intel_py27_2  [intel]  <unknown>

zlib                      1.2.8              intel_py27_2  [vc9 intel]  <unknown>

 

C:\Users\andre>

abarb
Beginner
57 Views

Robert Cohn (Intel) wrote:

Please also try to update conda command first:

conda update conda

 

conda update conda result in update of python !:

 

C:\Users\andre>conda update conda

Fetching package metadata: ......

.Solving package specifications: .........

 

Package plan for installation in environment c:\intelPython27:

 

The following packages will be downloaded:

 

    package                    |            build

    ---------------------------|-----------------

    vs2008_runtime-9.00.30729.1|                1         1.2 MB

    python-2.7.11              |                4        23.1 MB

    conda-env-2.5.0            |           py27_0          69 KB

    ruamel_yaml-0.11.7         |           py27_0         201 KB

    conda-4.1.2                |           py27_0         245 KB

    ------------------------------------------------------------

                                           Total:        24.8 MB

 

The following NEW packages will be INSTALLED:

 

    ruamel_yaml:    0.11.7-py27_0

    vs2008_runtime: 9.00.30729.1-1

 

The following packages will be UPDATED:

 

    conda:          4.0.6-intel_py27_2  [intel] --> 4.1.2-py27_0

    conda-env:      2.4.4-intel_py27_2  [intel] --> 2.5.0-py27_0

    python:         2.7.11-intel_py27_2 [intel] --> 2.7.11-4

 

Proceed (/n)?

Todd_T_Intel
Employee
57 Views

Andre,

There does appear to be a problem with package resolution between the beta installation and the online packages. As of right now, "conda update --all" simply does not behave as we would expect. We are looking into a resolution for that.

It does appear from the output of your "conda list" that you already have Beta Update 1 installed, so there are no updates you currently require. Is there a particular package you are wanting a newer version of?

Todd

abarb
Beginner
57 Views

Todd T. (Intel) wrote:

Andre,

There does appear to be a problem with package resolution between the beta installation and the online packages. As of right now, "conda update --all" simply does not behave as we would expect. We are looking into a resolution for that.

It does appear from the output of your "conda list" that you already have Beta Update 1 installed, so there are no updates you currently require. Is there a particular package you are wanting a newer version of?

Todd

I just check if there are package updates... In the early version worked well.

Islam_A_
Beginner
57 Views

Andre,

There does appear to be a problem with package resolution between the beta installation and the online packages. As of right now, "conda update --all" simply does not behave as we would expect. We are looking into a resolution for that.

It does appear from the output of your "conda list" that you already have Beta Update 1 installed, so there are no updates you currently require. Is there a particular package you are wanting a newer version of?

 

abarb
Beginner
57 Views

@Islam A. ,

After that I updated conda (I forced update only conda) no more show Downgrade of python in list. But now conda update –all show Downgrade for “llvm” as bellow:

 

conda update --all

Fetching package metadata ...........

Solving package specifications: ..........

 

Package plan for installation in environment c:\intelPython27:

 

The following packages will be downloaded:

 

    package                    |            build

    ---------------------------|-----------------

    llvm-3.3                   |                0        56.4 MB

    msvc_rt-9.0                |          intel_2          332 B  intel

    libpng-1.6.22              |            vc9_0         524 KB

    llvmlite-0.12.1            |           py27_0         5.8 MB

    ------------------------------------------------------------

                                           Total:        62.6 MB

 

The following packages will be UPDATED:

 

    libpng:   1.6.18-intel_2      intel [intel] --> 1.6.22-vc9_0        [vc9      ]

    llvmlite: 0.10.0-intel_py27_2 intel [intel] --> 0.12.1-py27_0

    msvc_rt:  9.0-intel_1         intel --> 9.0-intel_2   intel [intel vc9]

 

The following packages will be DOWNGRADED due to dependency conflicts:

 

    llvm:     3.7.0-intel_2       intel [intel] --> 3.3-0

abarb
Beginner
57 Views

Now with the released intel_3 for python I can update everything with "conda update --all". Thanks, thanks, thanks!